org.apache.ignite

## Class DataStorageMetricsAdapter

- java.lang.Object
- - org.apache.ignite.DataStorageMetricsAdapter

- All Implemented Interfaces:
    PersistenceMetrics

  Deprecated.
  Check the `ReadOnlyMetricRegistry` with "name=io.datastorage" instead.

      @Deprecated
      public class DataStorageMetricsAdapter
      extends Object
      implements PersistenceMetrics

  Converter class from `DataStorageMetrics` to legacy `PersistenceMetrics`.
  See Also:
    `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastCheckpointCopiedOnWritePagesNumber()` Deprecated. Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
    `long` | `getLastCheckpointDataPagesNumber()` Deprecated. Gets the number of data pages written during the last checkpoint.
    `long` | `getLastCheckpointFsyncDuration()` Deprecated. Gets the duration of the sync phase of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointingDuration()` Deprecated. Gets the duration of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointLockWaitDuration()` Deprecated. Gets the duration of last checkpoint lock wait in milliseconds.
    `long` | `getLastCheckpointMarkDuration()` Deprecated. Gets the duration of last checkpoint mark phase in milliseconds.
    `long` | `getLastCheckpointPagesWriteDuration()` Deprecated. Gets the duration of last checkpoint pages write phase in milliseconds.
    `long` | `getLastCheckpointTotalPagesNumber()` Deprecated. Gets the total number of pages written during the last checkpoint.
    `int` | `getWalArchiveSegments()` Deprecated.
    `float` | `getWalFsyncTimeAverage()` Deprecated. Gets the average WAL fsync duration in microseconds over the last time interval.
    `float` | `getWalLoggingRate()` Deprecated. Gets the average number of WAL records per second written during the last time interval.
    `float` | `getWalWritingRate()` Deprecated. Gets the average number of bytes per second written during the last time interval.
    `static DataStorageMetricsAdapter` | `valueOf(DataStorageMetrics delegate)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### valueOf

          public static DataStorageMetricsAdapter valueOf(DataStorageMetrics delegate)

      Deprecated.
      Parameters:
        `delegate` - DataStorageMetrics.
      Returns:
        Wrapped `DataStorageMetrics` that implements `PersistenceMetrics`. Null value is not wrapped and returned as is.

    - #### getWalLoggingRate

          public float getWalLoggingRate()

      Deprecated.
      Gets the average number of WAL records per second written during the last time interval.

      The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

      Specified by:
        `getWalLoggingRate` in interface `PersistenceMetrics`
      Returns:
        The average number of WAL records per second written during the last time interval.

    - #### getWalWritingRate

          public float getWalWritingRate()

      Deprecated.
      Gets the average number of bytes per second written during the last time interval. The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.
      Specified by:
        `getWalWritingRate` in interface `PersistenceMetrics`
      Returns:
        The average number of bytes per second written during the last time interval.

    - #### getWalArchiveSegments

          public int getWalArchiveSegments()

      Deprecated.
      Specified by:
        `getWalArchiveSegments` in interface `PersistenceMetrics`
      Returns:
        The current number of WAL segments in the WAL archive.

    - #### getWalFsyncTimeAverage

          public float getWalFsyncTimeAverage()

      Deprecated.
      Gets the average WAL fsync duration in microseconds over the last time interval.

      The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

      Specified by:
        `getWalFsyncTimeAverage` in interface `PersistenceMetrics`
      Returns:
        The average WAL fsync duration in microseconds over the last time interval.

    - #### getLastCheckpointingDuration

          public long getLastCheckpointingDuration()

      Deprecated.
      Gets the duration of the last checkpoint in milliseconds.
      Specified by:
        `getLastCheckpointingDuration` in interface `PersistenceMetrics`
      Returns:
        Total checkpoint duration in milliseconds.

    - #### getLastCheckpointLockWaitDuration

          public long getLastCheckpointLockWaitDuration()

      Deprecated.
      Gets the duration of last checkpoint lock wait in milliseconds.
      Specified by:
        `getLastCheckpointLockWaitDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint lock wait time in milliseconds.

    - #### getLastCheckpointMarkDuration

          public long getLastCheckpointMarkDuration()

      Deprecated.
      Gets the duration of last checkpoint mark phase in milliseconds.
      Specified by:
        `getLastCheckpointMarkDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint mark duration in milliseconds.

    - #### getLastCheckpointPagesWriteDuration

          public long getLastCheckpointPagesWriteDuration()

      Deprecated.
      Gets the duration of last checkpoint pages write phase in milliseconds.
      Specified by:
        `getLastCheckpointPagesWriteDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint pages write phase in milliseconds.

    - #### getLastCheckpointFsyncDuration

          public long getLastCheckpointFsyncDuration()

      Deprecated.
      Gets the duration of the sync phase of the last checkpoint in milliseconds.
      Specified by:
        `getLastCheckpointFsyncDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint fsync time in milliseconds.

    - #### getLastCheckpointTotalPagesNumber

          public long getLastCheckpointTotalPagesNumber()

      Deprecated.
      Gets the total number of pages written during the last checkpoint.
      Specified by:
        `getLastCheckpointTotalPagesNumber` in interface `PersistenceMetrics`
      Returns:
        Total number of pages written during the last checkpoint.

    - #### getLastCheckpointDataPagesNumber

          public long getLastCheckpointDataPagesNumber()

      Deprecated.
      Gets the number of data pages written during the last checkpoint.
      Specified by:
        `getLastCheckpointDataPagesNumber` in interface `PersistenceMetrics`
      Returns:
        Total number of data pages written during the last checkpoint.

    - #### getLastCheckpointCopiedOnWritePagesNumber

          public long getLastCheckpointCopiedOnWritePagesNumber()

      Deprecated.
      Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
      Specified by:
        `getLastCheckpointCopiedOnWritePagesNumber` in interface `PersistenceMetrics`
      Returns:
        Total number of pages copied to a temporary checkpoint buffer during the last checkpoint.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022